Subject: bug#33870: 27.0.50; xref-goto-xref not configurable

From: martin rudalics <[email-masked]>
Date: Fri, 01 Feb 2019 10:05:13 +0100

> Thanks, this fixed an original problem, but introduced a new problem:
 > now when windows are already horizontally split, the bottom window
 > is narrowed to the width of the left window.  Before this change,
 > the width of Local Variables window was the same as the frame width.

The entire

	(and (not (frame-parameter nil 'unsplittable))
	     (let ((split-height-threshold 0))
	       (setq window (window--try-to-split-window bottom-window alist)))
	     (window--display-buffer buffer window 'window alist))

is bad design.

Note that I removed this behavior in 'display-buffer-in-direction'.
There I (1) disregard 'split-window-preferred-function' and (2) only
split the argument window which would be the main window when called
from 'display-buffer-at-bottom'.

martin